program suma;
const lmax = 1000;
type skaicius = array[0..lmax] of byte;

{konvertavimas strint -> skaicius}
function asciitodec(inputstr:string; var a:skaicius): integer;
var i,j: longint;
    digit: byte;
begin
    asciitodec := 0;
    j := lmax;
    if length(inputstr) <= lmax then 
        for i := length(inputstr) downto 1 do 
        begin
            digit := ord(inputstr[i]) - ord('0');
            
            if (digit < 0) or (digit > 9) then asciitodec := -1
            else a[j] := digit;
            dec(j); 
        end
    else asciitodec := -2;
end;

{skaiciaus inicializavimas  }
procedure init(var a:skaicius);
var i: longint;
begin
    for i := 0 to lmax do a[i]:=0;
end;

procedure print(a: skaicius);
var i: longint;
    beg: boolean;
begin
    beg := false;
    for i := 0 to lmax do
    begin
        if (not beg) and (a[i] <> 0) then
        begin
            beg := true;
        end;

        if beg then write(a[i]);
    end;
    writeln('');
end;

function sum(a:skaicius; b:skaicius):skaicius;
var i: longint;
    atmintis: byte;
begin
    init(sum);
    atmintis := 0;
    for i := lmax downto 0 do
    begin
        sum[i] := (atmintis+a[i] + b[i]) mod 10;
        atmintis := (atmintis + a[i] + b[i]) div 10;
    end;
end;

var tmp: string;
    a,b: skaicius;
    c: char;
begin
    init(a);
    init(b);
    readln(tmp);
    asciitodec(tmp,a);
    readln(tmp);
    asciitodec(tmp,b);
    print(sum(a,b));

end.
